<div class="md-dialog-container" id="aseguradoDialog" flex="100">
	<md-dialog aria-label="{{aseguradoDialogAction}}" flex="80">
        <form name="aseguradoForm" id="aseguradoForm" novalidate class="panel panel-default" ng-submit="aseguradoForm.$valid && saveAsegurado(asegurado)">
            <md-toolbar>
              <div class="md-toolbar-tools">
                <h2>{{aseguradoDialogAction}}</h2>
                <span flex></span>
                <md-button class="md-icon-button" ng-click="cancel()"> 
                  <md-icon aria-label="Cerrar"><i class="material-icons">clear</i></md-icon>
                </md-button>
              </div>
            </md-toolbar>
            <md-dialog-content>
              <div layout="column" flex="95">
              	
                <div layout-gt-sm="row">
                  <md-input-container class="md-block" flex-gt-sm="70"> 
                  	<label>Nombre</label> 
                  	<input md-maxlength="400" maxlength="400" required name="nombre" ng-model="asegurado.nombre" autofocus/>
                  
                  	<div ng-messages="aseguradoForm.nombre.$error">
                    	<div ng-message="required">
                      		<b>Nombre</b> obligatorio.
                    	</div>
                    	<div ng-message="md-maxlength">
                      		El <b>Nombre</b> no debe superar los 400 caracteres.
                    	</div>
                  	</div>
                	</md-input-container>
                  
                  	<div flex="5" hide-xs hide-sm>
                    	<!-- Spacer //-->
                  	</div>
                  	
                  	<md-input-container class="md-block" flex-gt-sm="25"> 
                  		<label>N.I.F.</label> 
                  		<input md-maxlength="10" maxlength="10" name="numeroDocumento" ng-model="asegurado.numeroDocumento" />
                	</md-input-container>
                  </div>
                <div layout-gt-sm="row">
                  <md-input-container class="md-block" flex-gt-sm="33"> 
                    <label>Tel&eacute;fono fijo</label> 
                    <input  md-maxlength="500" maxlength="500"  name="telefonoFijo" ng-model="asegurado.telefonoFijo"  />
                    
                    <div ng-messages="aseguradoForm.telefonoFijo.$error">
                      <div ng-message="md-maxlength">
                        El <b>Tel&eacute;fono fijo</b> no debe superar los 500 caracteres.
                      </div>
                    </div>
                  </md-input-container>
                  
                  <div flex="5" hide-xs hide-sm>
                    <!-- Spacer //-->
                  </div>
                  
                  <md-input-container class="md-block" flex-gt-sm="30"> 
                    <label>Tel&eacute;fono mobil</label> 
                    <input  md-maxlength="500" maxlength="500"  name="telefonoMobil" ng-model="asegurado.telefonoMobil" />
                    
                    <div ng-messages="aseguradoForm.telefonoMobil.$error">
                      <div ng-message="md-maxlength">
                        El <b>Tel&eacute;fono mobil</b> no debe superar los 500 caracteres.
                      </div>
                    </div>
                  </md-input-container>
                  
                  <div flex="5" hide-xs hide-sm>
                    <!-- Spacer //-->
                  </div>
                  
                  <md-input-container class="md-block" flex-gt-sm="30"> 
                    <label>Fax</label> 
                    <input  md-maxlength="500" maxlength="500" name="fax" ng-model="asegurado.fax" />
                    
                    <div ng-messages="aseguradoForm.fax.$error">
                      <div ng-message="md-maxlength">
                        El <b>Fax</b> no debe superar los 500 caracteres.
                      </div>
                    </div>
                  </md-input-container>
                </div>
                <div layout-gt-sm="row">
                  
                  <md-input-container class="md-block" flex-gt-sm> 
                    <label>Email</label> 
                    <input md-maxlength="500" maxlength="500" name="email" ng-model="asegurado.email" />
                    
                    <div ng-messages="aseguradoForm.email.$error">
                      <div ng-message="md-maxlength">
                        El <b>Email</b> no debe superar los 500 caracteres.
                      </div>
                    </div>
                  </md-input-container>
                  
                  <div flex="5" hide-xs hide-sm>
                    <!-- Spacer //-->
                  </div>
                
                  <div layout="row" >
	              	<md-input-container flex-gt-sm>
    	              	<label>C&oacute;digo Postal</label>
        	          	<md-select required ng-model="asegurado.codigoPostal" name="codigoPostal" data-md-container-class="selectHeader">
            	        	<md-select-header class="select-header">
                	      		<input ng-model="$parent.textCodigosPostalesFilter" id="textCodigosPostalesFilter" ng-keydown="textCodigosPostalesKeyDown($event);" type="search" placeholder="Buscar..." class="header-searchbox md-text">
      		              	</md-select-header>
               				<md-optgroup label="codigosPostales">
        		              <md-option ng-value="codigoPostal" ng-repeat="codigoPostal in codigosPostales | filter:codigosPostalesFilter" ng-selected="asegurado.codigoPostal.id === codigoPostal.id">{{codigoPostal.codigo}} - {{codigoPostal.poblacion}}</md-option>
		                    </md-optgroup>
                		  </md-select>							
							
						  <div ng-messages="aseguradoForm.codigoPostal.$error">
							 <div ng-message="required"><b>C&oacute;digo Postal</b> obligatorio.</div>
				  		</div>
                	</md-input-container>
                	<div>
                	<div class="flex" flex=""></div>
          				<button class="md-icon-button md-button md-ink-ripple" type="button" ng-click="newCodigoPostal()" aria-label="add_circle">
            				<md-icon class="material-icons">add_circle</md-icon>
            				<div class="md-ripple-container"></div>
          				</button>
                	</div>
                </div>
                </div>
                
                <md-input-container class="md-block" flex-gt-sm> 
                  <label>Persona de contacto</label> 
                  <textarea ng-model="asegurado.personaContacto" md-maxlength="1000" rows="3" md-select-on-focus></textarea>
                  <div ng-messages="asegurado.personaContacto.$error">
                    <div ng-message="required">
                      <b>Persona de contacto</b> obligatoria.
                    </div>
                    <div ng-message="md-maxlength">
                      La <b>Persona de contacto</b> no debe superar los 1000 caracteres.
                    </div>
                  </div>
                </md-input-container>
                
                <md-input-container class="md-block" flex-gt-sm> 
                  <label>Direcci&oacute;n</label> 
                  <textarea ng-model="asegurado.direccion" md-maxlength="1000" rows="3" md-select-on-focus></textarea>
                  <div ng-messages="asegurado.direccion.$error">
                    <div ng-message="required">
                      <b>Direcci&oacute;n</b> obligatoria.
                    </div>
                    <div ng-message="md-maxlength">
                      La <b>Direcci&oacute;n</b> no debe superar los 1000 caracteres.
                    </div>
                  </div>
                </md-input-container>
                
                <md-input-container class="md-block" flex-gt-sm> 
                  <label>Observaciones</label> 
                  <textarea ng-model="asegurado.observaciones" md-maxlength="2000" rows="3" md-select-on-focus></textarea>
                  <div ng-messages="asegurado.observaciones.$error">
                    <div ng-message="required">
                      <b>Observaciones</b> obligatoria.
                    </div>
                    <div ng-message="md-maxlength">
                      La <b>Observaciones</b> no debe superar los 2000 caracteres.
                    </div>
                  </div>
                </md-input-container>
              </md-dialog-content>
              
              <md-dialog-actions layout="row">
                <md-button type="submit" id="saveAsegurado" class="md-raised md-primary">Guardar</md-button>
                <md-button type="button" class="md-raised md-warn" ng-click="removeAsegurado(asegurado)" ng-if="asegurado.id">Eliminar</md-button>
              </md-dialog-actions>
            </form>
        </md-dialog>
</div>